/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#ifndef STRINGCOUNT_H_
#define STRINGCOUNT_H_

#include <boost/any.hpp>

/**
 * Cast a boost::any value to an int value.
 * @param value the value to cast.
 * @return the int value.
 */
inline int to_string_count(boost::any value)
{
    return boost::any_cast<int>(value);
}

/**
 * Test whether two string count values are equal.
 * @param value1 the first value.
 * @param value2 the second value.
 * @return true if they're equal, else false.
 */
inline bool equal_string_count(boost::any value1, boost::any value2)
{
    return to_string_count(value1) == to_string_count(value2);
}

#endif /* STRINGCOUNT_H_ */
